import $ from 'jquery';

function moveTestimonialImage() {
    $('.small-quote .image-text').each(function () {
        var $container = $(this);
        var $image = $container.children('.image-text--image');
        var $firstParagraph = $container.find('.image-text--text blockquote > div:first-child');

        if ($image.length === 0) return;

        if ($(window).width() < 768) {
            // Nur verschieben, wenn noch nicht verschoben
            if (!$image.data('moved')) {
                $firstParagraph.after($image);
                $image.data('moved', true);
            }
        } else {
            // Nur zurück verschieben, wenn verschoben wurde
            if ($image.data('moved')) {
                $container.prepend($image);
                $image.data('moved', false);
            }
        }
    });
}

$(document).ready(function () {
    moveTestimonialImage();
});

$(window).on('resize', moveTestimonialImage);
